JUCE: ComponentDragger Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComponentDragger Class Reference
juce_gui_basics » mouse

An object to take care of the logic for dragging components around with the mouse. More...

`#include <juce_ComponentDragger.h>`

## Public Member Functions
| ComponentDragger ()
| Creates a ComponentDragger.
virtual | ~ComponentDragger ()
| Destructor.
void | startDraggingComponent (Component *componentToDrag, const MouseEvent &e)
| Call this from your component's mouseDown() method, to prepare for dragging.
void | dragComponent (Component *componentToDrag, const MouseEvent &e, ComponentBoundsConstrainer *constrainer)
| Call this from your mouseDrag() callback to move the component.

## Detailed Description

An object to take care of the logic for dragging components around with the mouse.

Very easy to use - in your mouseDown() callback, call startDraggingComponent(), then in your mouseDrag() callback, call dragComponent().

When starting a drag, you can give it a ComponentBoundsConstrainer to use to limit the component's position and keep it on-screen.

e.g.

class MyDraggableComp
{
ComponentDragger myDragger;
void mouseDown (const MouseEvent& e)
{
myDragger.startDraggingComponent (this, e);
}
void mouseDrag (const MouseEvent& e)
{
myDragger.dragComponent (this, e, nullptr);
}
};
ComponentDragger
An object to take care of the logic for dragging components around with the mouse.
Definition juce_ComponentDragger.h:60
ComponentDragger::startDraggingComponent
void startDraggingComponent(Component *componentToDrag, const MouseEvent &e)
Call this from your component's mouseDown() method, to prepare for dragging.
ComponentDragger::dragComponent
void dragComponent(Component *componentToDrag, const MouseEvent &e, ComponentBoundsConstrainer *constrainer)
Call this from your mouseDrag() callback to move the component.
MouseEvent
Contains position and status information about a mouse event.
Definition juce_MouseEvent.h:40

## Constructor & Destructor Documentation

## ◆ ComponentDragger()

ComponentDragger::ComponentDragger | ( |  | ) |

Creates a ComponentDragger.

## ◆ ~ComponentDragger()

virtual ComponentDragger::~ComponentDragger | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ startDraggingComponent()

void ComponentDragger::startDraggingComponent | ( | Component * | componentToDrag,
|  | const MouseEvent & | e
| ) |  |

Call this from your component's mouseDown() method, to prepare for dragging.

Parameters

  componentToDrag | the component that you want to drag
  e | the mouse event that is triggering the drag

See also
  dragComponent

## ◆ dragComponent()

void ComponentDragger::dragComponent | ( | Component * | componentToDrag,
|  | const MouseEvent & | e,
|  | ComponentBoundsConstrainer * | constrainer
| ) |  |

Call this from your mouseDrag() callback to move the component.

This will move the component, using the given constrainer object to check the new position.

Parameters

  componentToDrag | the component that you want to drag
  e | the current mouse-drag event
  constrainer | an optional constrainer object that should be used to apply limits to the component's position. Pass null if you don't want to constrain the movement.

See also
  startDraggingComponent

The documentation for this class was generated from the following file:

- juce_ComponentDragger.h